#ifndef _DTCOMMON_H_
#define _DTCOMMON_H_

#define MOD_LOG_TAG "libtts.so"
#define _WANIN_LOG_
#ifdef  _WANIN_LOG_
    #include <android/log.h>
    #define LOG(fmt, args...)   __android_log_print(ANDROID_LOG_DEBUG, MOD_LOG_TAG, fmt, ##args)
    #define LOGI(fmt, args...)  __android_log_print(ANDROID_LOG_INFO, MOD_LOG_TAG, fmt, ##args)
    #define LOGE(fmt, args...)  __android_log_print(ANDROID_LOG_ERROR,MOD_LOG_TAG, fmt, ##args)
#else
    #define LOG (...)  
    #define LOGI(...)  
    #define LOGE(...)  
#endif

#endif //_DTCOMMON_H_