/*utf8解析行 Don't remove or modify this first line!*/
#ifdef __WINOS__
#include "stdafx.h"
#endif
#include "WNCStringList.h"

WNCStringList::WNCStringList(const char* lpStringList, const char* lpSplit /* = _T("|") */)
{
	CreateList(lpStringList, lpSplit);
}

WNCStringList::WNCStringList(const string& strStringList, const string& strSplit /* = _T("|") */)
{
	CreateList(strStringList, strSplit);
}


void WNCStringList::CreateList(const char* lpStringList /* = _T("") */, const char* lpSplit /* = _T("|") */)
{
	if (!lpStringList)
	{
		return;
	}
	string strList(lpStringList);
	string strSplit(lpSplit);
	if (strSplit == "")
	{
		string strToken;
		while (*lpStringList)
		{
			PNode node = new Node;
			node->data = lpStringList;
			AppendNode(node);
			lpStringList += node->data.length();
			lpStringList++;
		}
	}
	else
	{
		return CreateList(strList, strSplit);
	}
}

void WNCStringList::CreateList(const string& strStringList, const string& strSplit)
{
	ClearList();
	string strToken;
	int pos = 0;
	int lastPos = 0;
	pos = strStringList.find(strSplit, lastPos);
	while (pos != -1)
	{
		if ((pos - lastPos) >= 1)
		{
			strToken = strStringList.substr(lastPos, pos - lastPos);
			PNode node = new Node;
			node->data = strToken;
			AppendNode(node);
		}
		lastPos = pos + strSplit.length();
		pos = strStringList.find(strSplit, lastPos);
	}
	if (pos == -1 && lastPos == 0)
	{
		PNode node = new Node;
		node->data = strStringList;
		AppendNode(node);
	}
	else if (lastPos != 0)
	{
		long len = strStringList.length();
		if (len > lastPos)
		{
			strToken = strStringList.substr(lastPos, len - lastPos);
			PNode node = new Node;
			node->data = strToken;
			AppendNode(node);
		}
	}
	MoveBegin();
}

string WNCStringList::Join(const char* lpSplit /* = _T */)
{
	string strRet("");
	for (PNode node = Begin(); node != Head(); node = node->nextNode)
	{
		if (node != Begin())
		{
			strRet += lpSplit;
		}
		strRet += node->data;
	}
	return strRet;
}

