#ifndef _WN_MEMORYPOOL_H
#define _WN_MEMORYPOOL_H

#include <pthread.h>
#include "Common.h"

class WNMemoryPool
{
public:
	WNMemoryPool(int size);
	~WNMemoryPool();

	int Write(unsigned char * pInData, int iInLen);
	int Read(unsigned char * pOutData, int iRequestLen);
	void Reset();
private:
	pthread_mutex_t m_mtx;
	unsigned char * m_pBuf;
	int m_iBufSize;
	int m_iWriteId;
	int m_iReadId;
};

#endif //_WN_MEMORYPOOL_H