/*utf8解析行 Don't remove or modify this first line!*/
#ifndef WNCRETICALSECTION_H
#define WNCRETICALSECTION_H

#include <pthread.h>

class WNCreticalSection
{
public:
	WNCreticalSection(void);
	virtual ~WNCreticalSection(void);
	virtual void CreateLocker();
	virtual void DestroyLocker();
	virtual bool TryLock();
	virtual bool Lock();
	virtual bool Unlock();
protected:
//wlf	CRITICAL_SECTION* mpLocker;
    pthread_mutex_t* mpLocker;
};

//自动解锁，仅在同一函数中定义以及使用
class WNCreticalSectionAutoLocker
{
public:
	WNCreticalSectionAutoLocker();
	WNCreticalSectionAutoLocker(WNCreticalSection* pCreiticalSection, bool bLocker = true);
	virtual ~WNCreticalSectionAutoLocker();
	virtual bool TryLock();
	virtual void Lock();
	virtual void Unlock();
public:
	WNCreticalSection* mpLocker;
	WNCreticalSection* mpLocking;
};

#endif