/*utf8解析行 Don't remove or modify this first line!*/
#ifndef SYSTEMIDNUMBER_H
#define SYSTEMIDNUMBER_H

#pragma once
#pragma comment(lib, "Iphlpapi")

#include "Iphlpapi.h"
#include "EBaseFunctions.h"
//#include "CSWbemServices.h"
//#include "CSWbemObject.h"
//#include "CSWbemObjectSet.h"
//#include "CSWbemLocator.h"

#define MAC_LENGTH 20
#define ADAPTER_COUNT_MAX 20

class WNAddrData
{
public:
	WNAddrData();
	WNAddrData(const WNAddrData& data);
	CString GetMacAddress();
	inline BOOL IsVirtual() { return m_bIsVirtual; }
	WNAddrData& operator=(const WNAddrData& data);
public:
	DWORD m_dwAdapterIndex;
	CString m_strAdapterName;
	CString m_strAdapterInfo;
	CString m_strIp;
	CString m_strSubnetMask;
	CString m_strBroadCastIp;
	UINT m_uMacLen;
	BYTE m_MacAddr[MAC_LENGTH];
	CString m_strVirtualMac;
	BOOL m_bIsVirtual;
	UINT m_uType;
	CString m_strIPList[256];
	UINT    m_nIPCount;
	
	DWORD m_dwStartIp;
	DWORD m_dwEndIp;
};


class WNNetworkInfo
{
public:
	WNNetworkInfo();
	//get mac address,return the number of mac address
	LONG GetCount() { return m_lCount; }
	WNAddrData* GetAdapterInfo(LONG lIndex);
	VOID ReInit();
	VOID SetVirtualMac(CString& strMac);
	void OutputAdapterInfo();
	static BOOL IsConnectedAdapter(DWORD dwAdapterIndex);
protected:
	LONG GetSystemMacInfo(WNAddrData* pMacData);
private:
	WNAddrData m_AddrData[100];
	LONG m_lCount;
};


#endif